About macOS 10.14 "Mojave"

macOS 10.14 ("Mojave") became available from the Mac App Store in September 2018. It is the only fully supported version of macOS, all previous versions are assumed to be insecure.

There are some important actions to take before you install it:

  1. Ensure that all the software you are using is compatible with it. See below for a list of known issues.
  2. Verify your hard-disk or SSD before doing the install.
  3. Make sure you have a recent backup, allowing you to recover your data in case of problems.
  4. Note that the upgrade will most likely convert the filesystem on your Mac, carefully read https://support.apple.com/en-us/HT208018 and re-check your backups!

Known Issues

General

When starting older apps you might get a message "This application is not optimized for your Mac". See https://support.apple.com/HT208436 for some background information concerning that message.

BBEdit

The autoupdate function in BBEdit versions earlier than 12.1.6 do not work under 10.14, see https://www.barebones.com/support/mojave-update.html for a description of the symptoms and the proposed workaround.

Firefox

The Firefox autoupdater fails to install the downloaded update. We recommended to update Firefox before upgrading macOS. For users that already upgraded to macOS 10.14 we recommend to download the latest Firefox directly from https://www.mozilla.org/.

GPGTools

GPG Mail now requires a subscription, for details see https://gpgtools.org (link is external) .
Parallels

Parallels has a list of known issues and potential fixes or workarounds on https://kb.parallels.com/en/124453

Security

10.14 has a new security feature in the form of enhanced sandboxing. Apps tryining to control other apps or services (eg scripts) now trigger a dialog box asking users to allow or deny permissions. The nasty thing is that once you deny the permission this will be registered and you will never be asked again! Once denied many scripts will simply fail with "Not authorised to send Apple events to System Events. (-1743)". Only the denial is registered, the "Allow" is only valid for this single occasion.

Self-Service

The installation of the Self-Service package always fails, but the framework manages to pull the Self-Service app in general within 15 minutes of the enrollment.

See the entry above concerning "Security".

ssh

Some GSSAPI options have been dropped already in macOS 10.12. Among others the GSSAPITrustDNS is not supported any more. You might have to remove the unsupported options from the system and / or users ssh config files. 

In the past we recommended to keep an old version of the ssh binary that still supported GSSAPITrustDNS. This is not needed anymore since lxplus and other major services have now been configured to use service keys. See http://information-technology.web.cern.ch/services/fe/mac-support/howto/configure-ssh-password-less-login-lxplus-or-other-linux-boxen.

Vidyo

It is unclear whether the current Vidyo client (1.8.3) installs and works on 10.14.

You are here